#! /usr/bin/env python2

print("Hi, I'm a little Python program to check your Python installation")

import sys
error=False

print("Version:", sys.version)
if sys.version.startswith('3.'):
    print("OK")
else:
    print("ERROR: incorrect Python version")
    error=True

print("Is Numpy installed?")
try:
    import numpy as np
except:
    print("ERROR: Unable to load Numpy, please check your install")
    error=True
print("OK")

print("Is Scipy installed?")
try:
    import scipy
except:
    print("ERROR: Unable to load Scipy, please check your install")
    error=True
print("OK")

print("Is matplotlib installed?")
try:
    import matplotlib
except:
    print("ERROR: Unable to load matplotlib, please check your install")
    error=True
try:
    import matplotlib.pyplot
except:
    print("ERROR: Unable to load matplotlib.pyplot, please check your install")
    error=True
print("OK")

if error:
    print("At least one issue was found in your setup, please see above.")
else:
    print("Congratulation, your Python installation seems operational.")
